Index: src/conf.py
===================================================================
--- src/conf.py	(revision 9c2015434bf7d916d73bb607d21cbed47c284c37)
+++ src/conf.py	(revision 29a7166d69a034de6b1fb3bc3411d1fa34109be2)
@@ -1,2 +1,4 @@
+#!/usr/bin/python
+# -*- coding: utf-8 -*-
 import sys
 import os
@@ -6,4 +8,5 @@
 
 # ipython
+
 import sip
 sip.setapi('QString', 2)
@@ -11,8 +14,10 @@
 
 # pyqt4
+
 from PyQt4 import QtCore, QtGui
 from PyQt4 import Qt
 
 # matplot
+
 import matplotlib
 from matplotlib.backends.backend_qt4agg import FigureCanvasQTAgg as FigureCanvas
@@ -27,25 +32,30 @@
 # import vtk
 
-#sys.path.insert(0, os.path.dirname(os.path.abspath(__file__)))
+# sys.path.insert(0, os.path.dirname(os.path.abspath(__file__)))
 
 # TextEdit Height
-CSNStextMaximumHeight=26
-CSNStextMinimumHeight=10
+
+CSNStextMaximumHeight = 26
+CSNStextMinimumHeight = 10
 
 # Table Height
-CSNStableMinimumHeight=100
+
+CSNStableMinimumHeight = 100
 
 # unit mm
-CSNSMRslit1Height=20
-CSNSMRslit2Height=12.7
-CSNSMRsampleHeight=10
 
-CSNSMRsamplePosition=0
-CSNSMRslit1Position=-2315
-CSNSMRslit2Position=-635
-CSNSMRslit3Position=650
+CSNSMRslit1Height = 20
+CSNSMRslit2Height = 12.7
+CSNSMRsampleHeight = 10
+
+CSNSMRsamplePosition = 0
+CSNSMRslit1Position = -2315
+CSNSMRslit2Position = -635
+CSNSMRslit3Position = 650
 
 # sizePolicy
-CSNSsizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Expanding)
+
+CSNSsizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Expanding,
+                                   QtGui.QSizePolicy.Expanding)
 CSNSsizePolicy.setHorizontalStretch(1)
 CSNSsizePolicy.setVerticalStretch(1)
Index: src/dat/3d.py
===================================================================
--- src/dat/3d.py	(revision 9c2015434bf7d916d73bb607d21cbed47c284c37)
+++ src/dat/3d.py	(revision 29a7166d69a034de6b1fb3bc3411d1fa34109be2)
@@ -1,8 +1,12 @@
+#!/usr/bin/python
+# -*- coding: utf-8 -*-
 import math
 from math import atan
-from numpy import*
+from numpy import *
 from scipy import pi
 import numpy as np
-#import pylab
+
+# import pylab
+
 import time
 from scipy.interpolate import InterpolatedUnivariateSpline
@@ -10,78 +14,83 @@
 import random
 
+
 def gauss(parameters, values):
-	a, x0, w, y0 = parameters
-	x = values
-	return(a * exp(-(x-x0)**2/2/w**2) + y0)
+    (a, x0, w, y0) = parameters
+    x = values
+    return a * exp(-(x - x0) ** 2 / 2 / w ** 2) + y0
 
-nx=100
-ny=80
 
-dat1=np.zeros((nx,ny))
-dat2=np.zeros((nx,ny))
-dat3=np.zeros((nx,ny))
+nx = 100
+ny = 80
 
-peak=1000
-background=peak*0.05
-iwidth=10
-jwidth=2
-center1=26
-center2=64
+dat1 = np.zeros((nx, ny))
+dat2 = np.zeros((nx, ny))
+dat3 = np.zeros((nx, ny))
+
+peak = 1000
+background = peak * 0.05
+iwidth = 10
+jwidth = 2
+center1 = 26
+center2 = 64
 
 for i in range(nx):
-	for j in range(ny):
-		dat1[i][j]=random.uniform(0,background)
-		dat2[i][j]=dat1[i][j]
+    for j in range(ny):
+        dat1[i][j] = random.uniform(0, background)
+        dat2[i][j] = dat1[i][j]
 
-_r0=sqrt((0-nx/2)**2/iwidth**2+(0-ny/2)**2/jwidth**2)
-for i in range(nx):
-	for j in range(ny):
-		_r1=sqrt((i-nx/2)**2/iwidth**2+(j-center1)**2/jwidth**2)
-		_r2=sqrt((i-nx/2)**2/iwidth**2+(j-center2)**2/jwidth**2)
-		if _r1<=sqrt(2) or _r2<=sqrt(2):
-		    dat1[i][j]+=peak*(1-0.2/iwidth*abs(i-nx/2))
-		else:
-		    dat1[i][j]+=peak*(1/_r1+1/_r2)*0.2*random.uniform(0,1)
-
-_nx=random.randint(5,nx-5)
-_ny=random.randint(5,ny-5)
+_r0 = sqrt((0 - nx / 2) ** 2 / iwidth ** 2 + (0 - ny / 2) ** 2 / jwidth
+           ** 2)
 for i in range(nx):
     for j in range(ny):
-        if(i-_nx)**2/10**2+(j-_ny)**2/5**2<1:
-            dat2[i][j]+=5*background*random.uniform(0.1,1)
-        elif (j>17 and j<21):
-            dat2[i][j]=-background
+        _r1 = sqrt((i - nx / 2) ** 2 / iwidth ** 2 + (j - center1) ** 2
+                   / jwidth ** 2)
+        _r2 = sqrt((i - nx / 2) ** 2 / iwidth ** 2 + (j - center2) ** 2
+                   / jwidth ** 2)
+        if _r1 <= sqrt(2) or _r2 <= sqrt(2):
+            dat1[i][j] += peak * (1 - 0.2 / iwidth * abs(i - nx / 2))
+        else:
+            dat1[i][j] += peak * (1 / _r1 + 1 / _r2) * 0.2 \
+                * random.uniform(0, 1)
 
-f1=open('3d0.dat',"w")
+_nx = random.randint(5, nx - 5)
+_ny = random.randint(5, ny - 5)
 for i in range(nx):
-	for j in range(ny):
-		f1.write('%8.f\t' % (dat1[i][j]))
-	f1.write('%s' % ('\n'))
+    for j in range(ny):
+        if (i - _nx) ** 2 / 10 ** 2 + (j - _ny) ** 2 / 5 ** 2 < 1:
+            dat2[i][j] += 5 * background * random.uniform(0.1, 1)
+        elif j > 17 and j < 21:
+            dat2[i][j] = -background
+
+f1 = open('3d0.dat', 'w')
+for i in range(nx):
+    for j in range(ny):
+        f1.write('%8.f\t' % dat1[i][j])
+    f1.write('%s' % '\n')
 f1.close()
 
-f1=open('3d1.dat',"w")
+f1 = open('3d1.dat', 'w')
 for i in range(nx):
-	for j in range(ny):
-		f1.write('%8.f\t%8.f\t%8.f\n' % (i,j,dat1[i][j]))
+    for j in range(ny):
+        f1.write('%8.f\t%8.f\t%8.f\n' % (i, j, dat1[i][j]))
 
 f1.close()
 
-f1=open('detector.dat',"w")
+f1 = open('detector.dat', 'w')
 for i in range(nx):
     for j in range(ny):
-        f1.write('%8.f\t%8.f\t%8.f\n' % (i,j,dat2[i][j]))
+        f1.write('%8.f\t%8.f\t%8.f\n' % (i, j, dat2[i][j]))
 
 f1.close()
 
-
-f1=open('2d-x.dat',"w")
+f1 = open('2d-x.dat', 'w')
 for i in range(nx):
-	f1.write('%f\t%8.f\n' % (i, dat1[i][int(center1)]))
+    f1.write('%f\t%8.f\n' % (i, dat1[i][int(center1)]))
 
 f1.close()
 
-f1=open('2d-y.dat',"w")
+f1 = open('2d-y.dat', 'w')
 for j in range(ny):
-	f1.write('%f\t%8.f\n' % (j, dat1[int(nx/2)][j]))
+    f1.write('%f\t%8.f\n' % (j, dat1[int(nx / 2)][j]))
 
 f1.close()
Index: src/dat/ReadData.py
===================================================================
--- src/dat/ReadData.py	(revision 9c2015434bf7d916d73bb607d21cbed47c284c37)
+++ src/dat/ReadData.py	(revision 29a7166d69a034de6b1fb3bc3411d1fa34109be2)
@@ -1,46 +1,51 @@
+#!/usr/bin/python
+# -*- coding: utf-8 -*-
+
+
 def Read2DData(fname):
-    data=[]
+    data = []
 
-    fopen=open(fname, "r")
-    lines=fopen.readlines()
+    fopen = open(fname, 'r')
+    lines = fopen.readlines()
 
-    check=lines[-1].split()
-    n=len(check)
+    check = lines[-1].split()
+    n = len(check)
     for i in range(n):
-    	data.append([])
+        data.append([])
 
     for line in lines:
-    	tmp=line.split()
-    	for i in range(n):
-    		data[i].append(float(tmp[i]))
+        tmp = line.split()
+        for i in range(n):
+            data[i].append(float(tmp[i]))
 
-    return n, data
+    return (n, data)
+
 
 def Read3DData(fname):
-    data=[]
+    data = []
 
-    fopen=open(fname, "r")
-    lines=fopen.readlines()
+    fopen = open(fname, 'r')
+    lines = fopen.readlines()
 
-    ngroup=-1
-    nfirst=-1
+    ngroup = -1
+    nfirst = -1
     for line in lines:
-        ngroup+=1
-        tmp=line.split()
-        if ngroup==0:
-            nfirst=tmp[0]
-        elif nfirst==tmp[0]:
+        ngroup += 1
+        tmp = line.split()
+        if ngroup == 0:
+            nfirst = tmp[0]
+        elif nfirst == tmp[0]:
             break
 
-    nline=-1
-    nnew=0
+    nline = -1
+    nnew = 0
     X.append([])
     Y.append([])
     Z.append([])
     for line in lines:
-        nline+=1
-        if nline==ngroup:
-            nline=-1
-            nnew+=1
+        nline += 1
+        if nline == ngroup:
+            nline = -1
+            nnew += 1
             X.append([])
             Y.append([])
@@ -51,3 +56,5 @@
             Z[nnew].append(float(tmp[0]))
 
-    return X, Y, Z
+    return (X, Y, Z)
+
+
Index: src/main.py
===================================================================
--- src/main.py	(revision 2b41ffeb36a5e52980441e46fafca007f1479f36)
+++ src/main.py	(revision 29a7166d69a034de6b1fb3bc3411d1fa34109be2)
@@ -1,2 +1,7 @@
+#!/usr/bin/python
+# -*- coding: utf-8 -*-
+
+# configure
+
 '''
 Created on 2015.9.25
@@ -4,8 +9,8 @@
 '''
 
-# configure
 from conf import *
 
 # user defined
+
 from viewer.runList import *
 from viewer.runData import *
@@ -13,7 +18,9 @@
 from viewer.subTab import *
 
+
 class myMenuBar(QtGui.QMenuBar):
+
     def __init__(self, parent=None):
-        super(myMenuBar,self).__init__(parent)
+        super(myMenuBar, self).__init__(parent)
         self.CreateMenuBar()
         self.open_action.triggered.connect(self.file_open)
@@ -21,40 +28,51 @@
     def CreateMenuBar(self):
 
-        self.file_menu = self.addMenu("File(&F)")
-        self.edit_menu = self.addMenu("Edit(&E)")
-        self.help_menu = self.addMenu("Help(&H)")
+        self.file_menu = self.addMenu('File(&F)')
+        self.edit_menu = self.addMenu('Edit(&E)')
+        self.help_menu = self.addMenu('Help(&H)')
 
-        self.open_action = self.file_menu.addAction("Open")
-        self.save_action = self.file_menu.addAction("Save")
-        self.exit_action = self.file_menu.addAction("Exit")
+        self.open_action = self.file_menu.addAction('Open')
+        self.save_action = self.file_menu.addAction('Save')
+        self.exit_action = self.file_menu.addAction('Exit')
         icon = QtGui.QIcon()
-        icon.addPixmap(QtGui.QPixmap("icon/open.jpg"),QtGui.QIcon.Normal,QtGui.QIcon.Off)
+        icon.addPixmap(QtGui.QPixmap('icon/open.jpg'),
+                       QtGui.QIcon.Normal, QtGui.QIcon.Off)
         self.open_action.setIcon(icon)
-        self.open_action.setShortcut(QtCore.QCoreApplication.translate("MainWindow","Ctrl+O"))
+        self.open_action.setShortcut(QtCore.QCoreApplication.translate('MainWindow'
+                , 'Ctrl+O'))
         icon2 = QtGui.QIcon()
-        icon2.addPixmap(QtGui.QPixmap("icon/save.jpg"),QtGui.QIcon.Normal,QtGui.QIcon.Off)
+        icon2.addPixmap(QtGui.QPixmap('icon/save.jpg'),
+                        QtGui.QIcon.Normal, QtGui.QIcon.Off)
         self.save_action.setIcon(icon2)
-        self.save_action.setShortcut(QtCore.QCoreApplication.translate("MainWindow","Ctrl+S"))
+        self.save_action.setShortcut(QtCore.QCoreApplication.translate('MainWindow'
+                , 'Ctrl+S'))
         icon3 = QtGui.QIcon()
-        icon3.addPixmap(QtGui.QPixmap("icon/exit.jpg"),QtGui.QIcon.Normal,QtGui.QIcon.Off)
+        icon3.addPixmap(QtGui.QPixmap('icon/exit.jpg'),
+                        QtGui.QIcon.Normal, QtGui.QIcon.Off)
         self.exit_action.setIcon(icon3)
-        self.exit_action.setShortcut(QtCore.QCoreApplication.translate("MainWindow","Ctrl+P"))
+        self.exit_action.setShortcut(QtCore.QCoreApplication.translate('MainWindow'
+                , 'Ctrl+P'))
 
-        self.cut_action = self.edit_menu.addAction("Cut")
-        self.copy_action = self.edit_menu.addAction("Copy")
-        self.past_action = self.edit_menu.addAction("Paste")
+        self.cut_action = self.edit_menu.addAction('Cut')
+        self.copy_action = self.edit_menu.addAction('Copy')
+        self.past_action = self.edit_menu.addAction('Paste')
 
     def file_open(self):
-        fileName = QtGui.QFileDialog.getOpenFileName(self,("title"),("./"),(""))#,None)
-        print('fileName:',fileName)
-        #print(selectedFilter)
+        fileName = QtGui.QFileDialog.getOpenFileName(self, 'title', './'
+                , '')  # ,None)
+        print ('fileName:', fileName)
+
+
+        # print(selectedFilter)
 
 class myStatusBar(QtGui.QStatusBar):
+
     def __init__(self, parent=None):
-        super(myStatusBar,self).__init__(parent)
+        super(myStatusBar, self).__init__(parent)
         self.CreateStatusBar()
 
     def CreateStatusBar(self):
         pass
+
 
 class mywindow(QtGui.QMainWindow):
@@ -64,5 +82,5 @@
         self.setupUi(self)
 
-    def setupUi(self,MainWindow):
+    def setupUi(self, MainWindow):
 
         self.myMenuBar = myMenuBar(self)
@@ -72,8 +90,8 @@
         self.setStatusBar(self.myStatusBar)
 
-        self.mainSplitter = QtGui.QSplitter(QtCore.Qt.Horizontal,self)
+        self.mainSplitter = QtGui.QSplitter(QtCore.Qt.Horizontal, self)
 
-        self.leftSplitter = QtGui.QSplitter(QtCore.Qt.Vertical,self)
-        self.rightSplitter = QtGui.QSplitter(QtCore.Qt.Vertical,self)
+        self.leftSplitter = QtGui.QSplitter(QtCore.Qt.Vertical, self)
+        self.rightSplitter = QtGui.QSplitter(QtCore.Qt.Vertical, self)
 
         self.upLeftListWidget = CSNSRunList(self.leftSplitter)
@@ -83,6 +101,6 @@
         self.downRightTab = CSNSSubTab(self.rightSplitter)
 
-        self.leftSplitter.setSizes([600,200])
-        self.rightSplitter.setSizes([700,100])
+        self.leftSplitter.setSizes([600, 200])
+        self.rightSplitter.setSizes([700, 100])
 
         self.leftSplitter.addWidget(self.upLeftListWidget)
@@ -96,21 +114,25 @@
 
     def btnExit(self):
-        if self.pushButton.text()=="Let it go":
-               print(self.pushButton.text())
-               self.pushButton.setText("I'm still here!")
+        if self.pushButton.text() == 'Let it go':
+            print self.pushButton.text()
+            self.pushButton.setText("I'm still here!")
         else:
-               print(self.pushButton.text())
-               self.pushButton.setText("Let it go")
+            print self.pushButton.text()
+            self.pushButton.setText('Let it go')
+
 
 def main():
     myapp = QtGui.QApplication(sys.argv)
     mytop = mywindow()
-    mytop.setWindowTitle("GPPD")
-    mytop.resize(1200,800)
+    mytop.setWindowTitle('GPPD')
+    mytop.resize(1200, 800)
     mytop.show()
     sys.exit(myapp.exec_())
 
+
 if __name__ == '__main__':
-    #if __package__ is None:
-    	#sys.path.append( path.dirname( path.dirname( path.abspath(__file__) ) ) )
+
+    # if __package__ is None:
+        # sys.path.append( path.dirname( path.dirname( path.abspath(__file__) ) ) )
+
     main()
Index: src/model/__init__.py
===================================================================
--- src/model/__init__.py	(revision 9c2015434bf7d916d73bb607d21cbed47c284c37)
+++ src/model/__init__.py	(revision 29a7166d69a034de6b1fb3bc3411d1fa34109be2)
@@ -1,15 +1,18 @@
-__all__=['model']
+#!/usr/bin/python
+# -*- coding: utf-8 -*-
+__all__ = ['model']
 
 import os
 from glob import glob
 
-_modules=list(map(os.path.basename, glob(os.path.join(os.path.dirname(__file__), '*.py'))))
+_modules = list(map(os.path.basename,
+                glob(os.path.join(os.path.dirname(__file__), '*.py'))))
 _modules.remove('__init__.py')
-_modules=[mod[:-3] for mod in _modules]
+_modules = [mod[:-3] for mod in _modules]
 
-model={}
+model = {}
 
 for mod in _modules:
-  _module=__import__('model.'+mod, fromlist=[mod])
-  if 'suite' in _module.__dict__:
-    model[mod]=_module.suite
+    _module = __import__('model.' + mod, fromlist=[mod])
+    if 'suite' in _module.__dict__:
+        model[mod] = _module.suite
Index: src/model/chopperModel.py
===================================================================
--- src/model/chopperModel.py	(revision 9c2015434bf7d916d73bb607d21cbed47c284c37)
+++ src/model/chopperModel.py	(revision 29a7166d69a034de6b1fb3bc3411d1fa34109be2)
@@ -1,42 +1,50 @@
+#!/usr/bin/python
+# -*- coding: utf-8 -*-
 import numpy as np
 
-class TimeFrameCalculation():
+
+class TimeFrameCalculation:
+
     def __init__(self, lambdaMin=0.1, lambdaMax=6.0):
-        #super(TimeFrameCalculation, self).__init__(lambdaMin, lambdaMax)
-        self.lambdaMin=lambdaMin
-        self.lambdaMax=lambdaMax
+
+        # super(TimeFrameCalculation, self).__init__(lambdaMin, lambdaMax)
+
+        self.lambdaMin = lambdaMin
+        self.lambdaMax = lambdaMax
 
     def getTimeFrame(self):
-        _npulse=5
-        pulseList=[]
+        _npulse = 5
+        pulseList = []
         for i in range(_npulse):
-            pulseList.append(i*40)
+            pulseList.append(i * 40)
 
-        _nchopper=5
-        chopperList=[0,6.395,8.359,9.923,12]
+        _nchopper = 5
+        chopperList = [0, 6.395, 8.359, 9.923, 12]
 
-        timeList=[]
+        timeList = []
         for i in range(_nchopper):
             timeList.append([])
             timeList[i].append(0)
             for j in range(_npulse):
-                _t0=j*40
-                _t1=chopperList[i]*self.lambdaMin/3.9562
-                _t2=chopperList[i]*self.lambdaMax/3.9562
-                timeList[i].append(_t0+_t1)
-                timeList[i].append(_t0+_t2)
-            timeList[i].append((_npulse+1)*40)
+                _t0 = j * 40
+                _t1 = chopperList[i] * self.lambdaMin / 3.9562
+                _t2 = chopperList[i] * self.lambdaMax / 3.9562
+                timeList[i].append(_t0 + _t1)
+                timeList[i].append(_t0 + _t2)
+            timeList[i].append((_npulse + 1) * 40)
 
-        lineList=[]
+        lineList = []
 
-        xList=[]
-        yList=[0,chopperList[-1]]
-        
-        _LDC1=chopperList[1]
-        _LSAM=chopperList[-1]
-        for i in range(1,len(timeList[1])-1):
-            _tmp=_LSAM/(_LDC1/timeList[1][i])
-            for j in range(len(pulseList)):                
-                xList.append([pulseList[j],pulseList[j]+_tmp])
+        xList = []
+        yList = [0, chopperList[-1]]
 
-        return pulseList, chopperList, timeList, xList, yList
+        _LDC1 = chopperList[1]
+        _LSAM = chopperList[-1]
+        for i in range(1, len(timeList[1]) - 1):
+            _tmp = _LSAM / (_LDC1 / timeList[1][i])
+            for j in range(len(pulseList)):
+                xList.append([pulseList[j], pulseList[j] + _tmp])
+
+        return (pulseList, chopperList, timeList, xList, yList)
+
+
Index: src/model/getROI.py
===================================================================
--- src/model/getROI.py	(revision 9c2015434bf7d916d73bb607d21cbed47c284c37)
+++ src/model/getROI.py	(revision 29a7166d69a034de6b1fb3bc3411d1fa34109be2)
@@ -1,10 +1,15 @@
+#!/usr/bin/python
+# -*- coding: utf-8 -*-
 from model.peakFinder import *
 
-def getROI( dataX, dataY):
-    peakfinder=PeakFinder(dataX,dataY)
-    _ridge_length=max(dataY)
-    peaks=peakfinder.get_peaks(snr=5, min_width=4, max_width=20, ridge_length=_ridge_length)
+
+def getROI(dataX, dataY):
+    peakfinder = PeakFinder(dataX, dataY)
+    _ridge_length = max(dataY)
+    peaks = peakfinder.get_peaks(snr=5, min_width=4, max_width=20,
+                                 ridge_length=_ridge_length)
     print peaks
 
     return peaks
 
+
